CAD_PAREA
1
BRL-CAD
BRL-CAD

# cad_parea

compute area of polygon

      cad_parea
        -i input
        -o output

## DESCRIPTION

cad_parea reads from input (standard input if not given) a series of polygon vertex (x,y) coordinate values and writes to output (standard output if not given) the polygon's area. Lines not beginning with a number are silently skipped. Vertices are assumed to be given in counter-clockwise cyclic order.

## HINTS

A hole can be accommodated as a clockwise section connected to the periphery by a line segment traced in both directions.

Disjoint pieces may be connected by a line segment traced in both directions.

## EXAMPLE

> $ cad_parea # comment 1 0 2 0 2 1 3 1 3 2 2 2 1 2 0 2 0 1 1 1 ^D 4

## SEE ALSO

cad_boundp 1.

## DIAGNOSTICS

Improperly formatted input produces an error message and terminates cad_parea with non-zero exit status.

cad_parea outputs "0" for the area of a degenerate polygon.

## AUTHOR

Douglas A. Gwyn, BRL/VLD-VMB

## COPYRIGHT

This software is Copyright (c) 1991-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.